%define		oname		QupZilla
%define		major		2
%define		libname		%mklibname %{name} %{major}
%define		develname	%mklibname %{name} -d

Name:		qupzilla
Summary:	Fast browser based on QtWebEngine
Version:	2.2.5
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv3+ and BSD and LGPLv2+ and GPLv2+ and MPL
URL:		http://www.qupzilla.com/
Source0:	https://github.com/%{oname}/%{name}/releases/download/v%{version}/%{oname}-%{version}.tar.xz
# reenable native scrollbars by default (upstream disabled them in 2.1.2)
Patch1:		%{oname}-2.2.0-native-scrollbars.patch
ExcludeArch:	armv5tl
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	qttools5
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(xcb-util)

Requires:	%{name}-core	= %{version}-%{release}
Requires:	%{name}-plugins	= %{version}-%{release}

%description
QupZilla is a new and very fast QtWebEngine browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebEngine browser
available to everyone. There are already a lot of QtWebEngine browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package core
Summary:	%{oname} web browser core package
Group:		Networking/WWW
Provides:	webclient
Requires:	%{libname} = %{version}-%{release}
Requires:	qtbase5-database-plugin-sqlite
Requires:	qtwebengine5

%description core
QupZilla is a new and very fast QtWebEngine browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebEngine browser
available to everyone. There are already a lot of QtWebEngine browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package plugins
Summary:	Various plugins for %{oname} web browser
Group:		Networking/WWW
Requires:	%{name}-core = %{version}

%description plugins
QupZilla Plugins are dynamically loaded shared libraries (*.so) that can extend
application in almost any way. This package contains the following plugins:

* Mouse Gestures
* Access Keys Navigation
* Personal Information Manager
* GreaseMonkey

%package gnome-keyring
Summary:	GNOME keyring plugin for %{oname} web browser
Group:		Networking/WWW
BuildRequires:	pkgconfig(gnome-keyring-1)
Requires:	%{name}-core = %{version}-%{release}

%description gnome-keyring
Plugin for %{oname} web browser that allows to store passwords in
GNOME Keyring.

%package kwallet
Summary:	Kwallet plugin for %{oname} web browser
Group:		Networking/WWW
BuildRequires:	cmake(KF5Wallet)
Requires:	%{name}-core = %{version}-%{release}

%description kwallet
Plugin for %{oname} web browser that allows to store passwords in Kwallet.

%package -n %{libname}
Summary:	%{oname} shared library
Group:		System/Libraries
# can be removed for mga7
Obsoletes:	%{_lib}QupZilla2 < 2.0.1-3

%description -n %{libname}
Shared library used by %{oname} web browser.

%package -n %{develname}
Summary:	%{oname} development files
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
# can be removed for mga7
Obsoletes:	%{_lib}QupZilla-devel < 2.0.1-3

%description -n %{develname}
Development files for %{libname} library.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

dos2unix COPYRIGHT README.md

# unbundle qtsingleapplication
rm -fr src/lib/3rdparty/qtsingleapplication/*
ln -s %{_qt5_includedir}/QtSolutions/* src/lib/3rdparty/qtsingleapplication
sed -i 's,include.*qtsingleapplication.*,,' src/plugins.pri
sed -i 's,include.*qtsingleapplication.*,,' src/lib/lib.pro

%build
export USE_LIBPATH=%{_libdir}/
export USE_WEBGL="true"
export DISABLE_UPDATES_CHECK="true"
export GNOME_INTEGRATION="true"
export KDE_INTEGRATION="true"

%qmake_qt5 CONFIG+=QtSingleApplication
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# translations
%find_lang %{name}
# manually handle remaining ones that are not namespaced
# that find_lang does not parse
for i in %{buildroot}%{_datadir}/%{name}/locale/*.qm ; do
  lang=$(basename $i .qm)
  file="$(echo ${i} | sed -e "s|^%{buildroot}||g")"
  echo "%lang(${lang}) $file" >> %{name}.lang
done

%files

%files core -f %{name}.lang
%doc AUTHORS COPYRIGHT FAQ README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/org.%{name}.QupZilla.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/metainfo/org.%{name}.QupZilla.appdata.xml
%dir %{_datadir}/%{name}/locale
%dir %{_libdir}/qupzilla

%files plugins
%{_libdir}/qupzilla/*.so
%exclude %{_libdir}/qupzilla/libGnomeKeyringPasswords.so
%exclude %{_libdir}/qupzilla/libKWalletPasswords.so

%files gnome-keyring
%{_libdir}/qupzilla/libGnomeKeyringPasswords.so

%files kwallet
%{_libdir}/qupzilla/libKWalletPasswords.so

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib%{oname}.so


%changelog
* Mon Feb 19 2018 daviddavid <daviddavid> 2.2.5-1.mga6
+ Revision: 1202902
- new version: 2.2.5

  + shlomif <shlomif>
    - Rebuild for new Qt per request of andre999.

* Sun Oct 30 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 1064158
- new version: 2.0.2

* Mon Sep 05 2016 daviddavid <daviddavid> 2.0.1-3.mga6
+ Revision: 1050124
- do not build on armv5tl because of missing qtwebengine5
- rename main library and devel subpackage (QupZilla to qupzilla)
- update summary and description

* Fri Aug 05 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 1044651
- move qt5-database-plugin-sqlite and qtwebengine5 dependencies into the -core subpackage

* Tue Jun 14 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1021430
- new version: 2.0.1

* Mon Apr 25 2016 daviddavid <daviddavid> 2.0.0-3.mga6
+ Revision: 1006046
- add missing requires on qtwebengine5 to fix startup (fixes mga#18097)

* Sun Apr 24 2016 daviddavid <daviddavid> 2.0.0-2.mga6
+ Revision: 1005855
- new version: 2.0.0 (QtWebEngine upstream switch)
- now libmajor is 2
- remove unused BR pkgconfig(hunspell) (not used since the QtWebEngine switch)
- unbundle qtsingleapplication
- improve lang files installation
- enable kwallet plugin support
- enable gnome-keyring plugin support

* Thu Apr 21 2016 tv <tv> 1.8.9-3.mga6
+ Revision: 1004200
- rebuid for libhunspell 1.4

* Tue Feb 16 2016 umeabot <umeabot> 1.8.9-2.mga6
+ Revision: 962695
- Mageia 6 Mass Rebuild

* Sat Nov 14 2015 dglent <dglent> 1.8.9-1.mga6
+ Revision: 903081
- Version 1.8.9
- Spellcheck support (build with hunspell)

* Sat Nov 07 2015 daviddavid <daviddavid> 1.8.8-1.mga6
+ Revision: 898450
- new version: 1.8.8
- remove no more needed qtwebkit patch

* Sat Nov 07 2015 daviddavid <daviddavid> 1.8.7-1.mga6
+ Revision: 898397
- add patch from Fedora to fix build:
  * workaround qtwebkit-5.5.1 dropping QTWEBKIT_VERSION_CHECK macro (#1270602)
- fix Group
- add new locale files (da_DK and lt)

  + tv <tv>
    - drop merged patch
    - new release

* Mon Aug 10 2015 daviddavid <daviddavid> 1.8.6-2.mga6
+ Revision: 862359
- add upstream patch0 to fix build with Qt 5.5
  * https://github.com/QupZilla/qupzilla/commit/739e01796a3587c21e7496b43a5a3cdb3fb6d7c5

* Sat Mar 07 2015 luigiwalser <luigiwalser> 1.8.6-1.mga5
+ Revision: 817957
- 1.8.6 (mga#14842 and mga#15409)

* Wed Nov 19 2014 doktor5000 <doktor5000> 1.8.3-2.mga5
+ Revision: 797896
- bump release to move from updates_testing to release

* Wed Nov 19 2014 doktor5000 <doktor5000> 1.8.3-1.mga5
+ Revision: 797891
- add missing BuildRequire on pkgconfig(Qt5DBus)
- add missing BuildRequire on qttools5 for lrelease
- added missing BuildRequires on pkgconfig(Qt5Script)
- added missing BuildRequires on pkgconfig(Qt5Concurrent)
- added missing BuildRequires on qt5gui-private-devel
- removed old Requires on qt4-database-plugin-sqlite
- added Requires on qtbase5-database-plugin-sqlite
- use %%qmake_qt5 for QT5 build
- new version 1.8.3
  o added URL to github release for automatic download
- switch to QT5 build
- add BuildRequires on pkgconfig(Qt5WebKitWidgets)
- updated %%{lang} list due to missing detection for QT .qm files
- added appdata.xml file

* Wed Oct 15 2014 umeabot <umeabot> 1.6.6-3.mga5
+ Revision: 741519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.6-2.mga5
+ Revision: 688587
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 matteo <matteo> 1.6.6-1.mga5
+ Revision: 634774
- new version

* Sun Mar 02 2014 matteo <matteo> 1.6.3-1.mga5
+ Revision: 598479
- new stable version

* Mon Oct 21 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 538459
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 matteo <matteo> 1.4.4-1.mga4
+ Revision: 489732
- new version 1.4.4

* Thu Sep 12 2013 matteo <matteo> 1.4.3-3.mga4
+ Revision: 477813
- fixed qupzilla-plugins requirement (switched from qupzilla to qupzilla-core)
- fixed license definition

* Sun Sep 01 2013 matteo <matteo> 1.4.3-2.mga4
+ Revision: 473784
- fixed bad locale definitions into the spec file (see also bug mga#10572)

* Sat Jun 22 2013 matteo <matteo> 1.4.3-1.mga4
+ Revision: 445599
- new version (1.4.3)

* Wed May 29 2013 matteo <matteo> 1.4.1-2.mga4
+ Revision: 432773
- added missing br (bug mga#10319)

* Sun Apr 07 2013 matteo <matteo> 1.4.1-1.mga3
+ Revision: 408986
- dropped old patch
- new version
- fixed qupzilla-core shared library requirement
- fix bug mga#9584

* Sun Jan 13 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 380124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 matteo <matteo> 1.3.5-1.mga3
+ Revision: 338428
- synced source
- removed wrong condition
- spec file reviewed
- Imported Mandriva package


* Tue Sep 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.5-1
+ Revision: 817100
- fix l10n files list
- use webgl only in mdv >= 201200
- provide webclient

* Tue Sep 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.5-1
+ Revision: 817084
- update to 1.3.5
- enable WebGL support

* Wed Jul 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.1-2
+ Revision: 810118
- fix building qupzilla metapackage

* Tue Jul 17 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.1-1
+ Revision: 810063
- update to 1.3.1
- split to multiple packages

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix %%find_lang usage
    - fix unpackage directory

* Wed Jan 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.1.5-1
+ Revision: 762221
- fixed some macros and BR
- imported package qupzilla

